Bug 1306025 - python-psycopg2: nothing provides python2-psycopg2
python-psycopg2: nothing provides python2-psycopg2
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-psycopg2 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 16:03 EST by Carl George
Modified: 2016-06-08 12:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-29 15:17:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl George 2016-02-09 16:03:26 EST
Description of problem:
According to the Packaging Guidelines, the subpackage containing the python2 version must provide python2-psycopg2.  This can be accomplished with a virtual provides or by changing the subpackage layout so that there are python2-psycopg2 and python3-psycopg2 subpackages.

> Name: python-mysql

> %package -n python2-psycopg2

> %package -n python3-psycopg2

Additional info:
http://fedoraproject.org/wiki/Packaging:Python#Provides
http://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Carl George 2016-02-20 15:45:24 EST
Has there been any progress on this?  I can assist with updating the spec file if I am added as a maintainer.
Comment 2 Jan Kurik 2016-02-24 09:27:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Pavel Raiskup 2016-05-29 15:17:22 EDT
Carl, thanks for the report and sorry for the delay.  It should be fixed now:
http://pkgs.fedoraproject.org/cgit/rpms/python-psycopg2.git/commit/?id=797d93cf4109f45187914b8a4480a7540826e7a6

Review would be perfect!
Comment 4 Carl George 2016-06-08 12:00:15 EDT
Looks good to me.

    [root@6d4c27d07fac ~]# dnf repoquery --whatprovides python-psycopg2 
    Last metadata expiration check: 0:05:07 ago on Wed Jun  8 15:54:11 2016.
    python2-psycopg2-0:2.6.1-6.fc25.x86_64

Note You need to log in before you can comment on or make changes to this bug.